> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clustr-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Workflow

> Delete a Workflow and its run history

## Path Parameters

<ParamField path="id" type="string" required>
  The Workflow's id.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": { "message": "Workflow deleted successfully" }
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": { "message": "workflow not found", "code": "NOT_FOUND" }
  }
  ```
</ResponseExample>
